# votv-jellyfin-exporter

Takes your music library from Jellyfin and makes it usable in Voices of the Void

## How to use
Edit the script and change:
 - `SERVER_ADDRESS` to the protocol and host of your jellyfin server, i.e. `https://jellyfin.example.com` (make sure to leave no trailing slash!!!)
 - `API_KEY` to your Jellyfin API Key. If you don't have one of these you can generate one from Administration > API Keys
 - `USER_NAME` to the Jellyfin username you use to login
 - `LIBRARY_NAME` to the library your music is in

Run the script and it should output a file called `online.txt` to the folder it is run from.
Place this file into the `%localappdata%\VotV\Assets\tv` or the `%localappdata%\VotV\Assets\radio` folder.
#### If running the game in WINE/Proton go to the Local AppData folder in the prefix you use for the game and do the same as for Windows.

## Why?
I have a lot of music, I want to play it in the game but it's too big for the Windows VM I play the game in, so why not stream it from my jellyfin server instead, where all my music already resides.

## How?
Jellyfin lets you "Copy stream link" and "Download" the songs, we can use this in the game via the online.txt which can just take any direct file link, and as Jellyfin will just present these links normally as any web server would, it works.